tensorflow踩坑纪实

Harr AI, TensorFlow, 学习 47 次浏览 没有评论

电脑的显卡是gtx750ti,2G的显存,感觉性能不给力,于是买了一个gtx1660ti。为了学习tensorflow多少是要出点血。然后就开始配置开发环境了。

当前最新稳定版本是1.13.1,支持cuda10.0,然后下载安装了cuda10.0+cudnn7.5.1。结果发现只使用了新的显卡,而750的却是空闲状态。百度后才知道tensorflow默认情况并不会使用多个cpu,所以得改下脚本。可改好之后却跑不动了,提示只能找到一个gpu。这是什么鬼?

后来只知道原来是cuda10的缘故,750不被支持。那就改回cuda9.0吧。

可是又出现了新的问题,tensorflow直接提示“DLL 加载失败”。估计tensorflow的版本也是太高了不支持旧版cuda。那就改成1.12.0吧。结果pip install tensorflow-gpu==1.12.0死活装不上。最后找了半天资料才发现tensorflow-gpu要求py36环境,而我用的是py37。

又安装了一个python3.6.8之后。pip工具就可以正常安装1.12.0版本的tensorflow了。

发表评论

电子邮件地址不会被公开。 必填项已用*标注

Go